Last Updated:

Cisco AnyConnect VPN Client in Ubuntu

Categories General Info

Cisco does not provide a 64-bit version of Cisco AnyConnect VPN Client. You can use the 32-bit linux version. However, under Ubuntu Jaunty, I got the following error “Warning: The following Certificate received from the Server could not be verified:” and, even if I accepted, the message appeared again and again and the connection could not be established.


1) If you have not done so, install the VPN Client (the version number might have changed):

# wget –
# tar zxvf anyconnect-linux-2.3.0254-k9.tar.gz
# cd ciscovpn
# sudo sh ./

The program should now be accessible through the “Applications -> Internet” submenu.

2) # sudo apt-get install ia32-libs lib32nss-mdns

3) Install the 32-bit version of Mozilla Firefox:

Download it from
# tar jxvf firefox-3.0.10.tar.bz2
# sudo cp -R firefox /usr/local/

4) Copy or create symbolic links of some Firefox libraries required by the VPN client:

# cd /usr/local/firefox
# sudo cp /opt/cisco/vpn/lib/
# sudo cp /opt/cisco/vpn/lib/
# sudo cp /opt/cisco/vpn/lib/
# sudo cp /opt/cisco/vpn/lib/
# sudo cp /opt/cisco/vpn/lib/
# sudo cp /opt/cisco/vpn/lib/
# sudo cp /opt/cisco/vpn/lib/

Now you should be able to use the 32-bit client in your 64-bit system.

NOTE: If you have a 32-bit system, but you have troubles with the Cisco AnyConnect VPN Client (I did not experience any issue in my 32-bit system), you can try:

Leave a Reply